org.jboss.jca.common.annotations

## Class Annotations

- java.lang.Object
- - org.jboss.jca.common.annotations.Annotations

-     public class Annotations
      extends java.lang.Object

  The annotation processor for JCA 1.6
  Author:
    Jesper Pedersen, Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annotations()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.common.api.metadata.spec.Connector` | `merge(org.jboss.jca.common.api.metadata.spec.Connector connector, org.jboss.jca.common.spi.annotations.repository.AnnotationRepository annotationRepository, java.lang.ClassLoader classLoader)` Scan for annotations in the URLs specified
    `org.jboss.jca.common.api.metadata.spec.Connector` | `process(org.jboss.jca.common.spi.annotations.repository.AnnotationRepository annotationRepository, java.lang.String xmlResourceAdapterClass, java.lang.ClassLoader classLoader)` Process annotations

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Annotations

          public Annotations()

      Constructor

  - ### Method Detail

    - #### merge

          public org.jboss.jca.common.api.metadata.spec.Connector merge(org.jboss.jca.common.api.metadata.spec.Connector connector,
                                                                        org.jboss.jca.common.spi.annotations.repository.AnnotationRepository annotationRepository,
                                                                        java.lang.ClassLoader classLoader)
                                                                 throws java.lang.Exception

      Scan for annotations in the URLs specified
      Parameters:
        `connector` - The connector adapter metadata
        `annotationRepository` - annotationRepository to use
        `classLoader` - The class loader used to generate the repository
      Returns:
        The updated metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

    - #### process

          public org.jboss.jca.common.api.metadata.spec.Connector process(org.jboss.jca.common.spi.annotations.repository.AnnotationRepository annotationRepository,
                                                                          java.lang.String xmlResourceAdapterClass,
                                                                          java.lang.ClassLoader classLoader)
                                                                   throws java.lang.Exception

      Process annotations
      Parameters:
        `annotationRepository` - The annotation repository
        `xmlResourceAdapterClass` - resource adpater class name as define in xml
        `classLoader` - The class loader used to generate the repository
      Returns:
        The updated metadata
      Throws:
        `java.lang.Exception` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)